/**
 * $class_name$.java
 *
 * Implements a simple AWT dialog. To show this dialog use:
 *
 * $class_name$ dialog = new $class_name$(frame);
 * dialog.pack();
 * dialog.show();
 *
 * where frame is an AWT frame which will be the owner of the dialog.
 *
 *
 * @author Created by Omnicore CodeGuide
 */

$package_declaration$
import java.awt.*;
import java.awt.event.*;

public class $class_name$ extends Dialog
{
	/**
	 * Initializes the dialog.
	 */
	public $class_name$(Frame owner)
	{
		super(owner, "$class_name$", true);
		
		// Add window listener.
		
		this.addWindowListener
		(
			new WindowAdapter()
			{
				/**
				 * Called when window close button was pressed.
				 */
				public void windowClosing(WindowEvent e)
				{
					$class_name$.this.setVisible(false);
				}
			}
		);
		
		// TODO: Create your components...
		
		Button beepButton = new Button("Beep");
		beepButton.addActionListener
		(
			new ActionListener()
			{
				/**
				 * Called when the button was pressed.
				 */
				public void actionPerformed(ActionEvent e)
				{
					Toolkit.getDefaultToolkit().beep();
				}
			}
		);
		
		// TODO: Add your components...
		
		setLayout(new GridBagLayout());
		GridBagConstraints constraints = new GridBagConstraints();
		constraints.gridx = 0;
		constraints.gridy = 0;
		constraints.fill = GridBagConstraints.BOTH;
		constraints.weightx = 0;
		constraints.weighty = 0;
		constraints.insets = new Insets(40, 60, 40, 60);
		add(beepButton, constraints);
	}
	
	/**
	 * Shows the frame.
	 */
	public void show()
	{
		// You can also use: Dimension size = new Dimension(300,200);
		Dimension size = getPreferredSize();
		Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
		setBounds
		(
			(screenSize.width - size.width) / 2,
			(screenSize.height - size.height) / 2,
			size.width,
			size.height
		);
		
		super.show();
	}
}

